Bug 90044 - Standard Widescreen LCD modes are missing
Standard Widescreen LCD modes are missing
Product: Red Hat Linux
Classification: Retired
Component: pyxf86config (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2003-05-01 12:38 EDT by Alan Cox
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-27 07:53:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2003-05-01 12:38:24 EDT
Description of problem:

Newer LCD panels also come in Widescreen formats. These use standardised modes
such as WXGA. The relevant sizes are not on the Red Hat 9 redhat-config-xfree86

How reproducible:

Actual results:

No choices available for generic LCD panel for the sizes:

800x480 (WVGA)
1024x600 (WSVGA)
1152x768 (WXGA)
1280x800 (WXGA)
1440x900 (??)
1920x1200 (WUXGA)
2048x1536 (QXGA)         (NEC actually sell a laptop using this format!)

Expected results:

Modern LCD panels to be covered

Data for the modes pulled from vendor wide monitor info and standards doc stuff.
There is also 1024x480 used by some vaio picture books but this doesn't appear
to be a standard.
Comment 1 Brent Fox 2003-05-01 12:48:42 EDT
I assigned a similar bug to pyxf86config a week or so ago (bug #89557) but there
are some resolutions here that weren't in the other bug.  

My only concern is that over time, the resolution option menu is going to get
really long.  Maybe long term we need a better way of only showing the user the
resolutions that the monitor can do.  In the short term, I guess simply adding
the resolutions to pyxf86config's list is the easiest thing to get these
monitors working.

Sending to pyxf86config.
Comment 2 Alexander Larsson 2003-05-16 05:37:12 EDT
I agree, but I'll just add them for now.
Comment 3 Alexander Larsson 2003-05-16 05:56:52 EDT
Fixed in pyxf86config 0.3.8-1. Trying to push it throught the buildsystem...
Comment 4 Shahin 2004-04-12 17:25:08 EDT
1680x1050 (WSXGA+) is an option on HP/COMPAQ notebooks

Note You need to log in before you can comment on or make changes to this bug.